Symbols
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get Symbols
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Query Parameters
limit?integer
Default
20offset?integer
Default
0filter[groupId]?string
Payment plan (user group) ID. Required with filter[preferences].
Format
uuidfilter[preferences]?string
true returns only symbols configured in the filter[groupId] payment plan, false only symbols without a configuration in it.
Value in
- "true"
- "false"
- "1"
- "0"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/symbols"{ "total": 0, "symbols": [ { "symbolId": "string", "symbolGroupId": "string", "platformGroupId": "string", "platformId": "string", "description": "string", "name": "string", "symbol": "string", "quoteCurrencyCode": "string", "contractSize": "string", "point": "string", "environment": "production", "platform": { "platformId": "string", "name": "string", "provider": "string" }, "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}